---
title: Get all RUM exclusion filters
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Rum Retention Filters
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# Get all RUM exclusion filters{% #get-all-rum-exclusion-filters %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                                                   |
| ----------------- | ---------------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/rum/applications/{app_id}/retention_filters/exclusion |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/rum/applications/{app_id}/retention_filters/exclusion |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/rum/applications/{app_id}/retention_filters/exclusion      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/rum/applications/{app_id}/retention_filters/exclusion      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/rum/applications/{app_id}/retention_filters/exclusion  |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/rum/applications/{app_id}/retention_filters/exclusion |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/rum/applications/{app_id}/retention_filters/exclusion     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/rum/applications/{app_id}/retention_filters/exclusion |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/rum/applications/{app_id}/retention_filters/exclusion |

### Overview

Get the list of exclusion filters for a RUM application. The built-in Error Tracking exclusion filter (`error_tracking_exclusion_filter`) is always returned first.

### Arguments

#### Path Parameters

| Name                     | Type   | Description         |
| ------------------------ | ------ | ------------------- |
| app_id [*required*] | string | RUM application ID. |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
All exclusion filters for a RUM application.

| Parent field | Field                  | Type     | Description                                                                                                                 |
| ------------ | ---------------------- | -------- | --------------------------------------------------------------------------------------------------------------------------- |
|              | data                   | [object] | A list of exclusion filters.                                                                                                |
| data         | attributes             | object   | The attributes of an exclusion filter.                                                                                      |
| attributes   | enabled                | boolean  | Whether the exclusion filter is active.                                                                                     |
| attributes   | event_type             | enum     | The type of RUM events to filter on. Allowed enum values: `session,view,action,error,resource,long_task,vital`              |
| attributes   | name                   | string   | The name of the exclusion filter.                                                                                           |
| attributes   | query                  | string   | Additional query used to further restrict which RUM events are excluded. Combined with `event_type` when both are provided. |
| data         | id [*required*]   | string   | The ID of the exclusion filter.                                                                                             |
| data         | meta                   | object   | Metadata about the exclusion filter.                                                                                        |
| meta         | enabled_at             | int64    | Unix epoch (in milliseconds) when the exclusion filter was last enabled.                                                    |
| meta         | updated_at             | int64    | Unix epoch (in milliseconds) of the last update.                                                                            |
| meta         | updated_by_handle      | string   | Handle of the user who last updated the exclusion filter.                                                                   |
| data         | type [*required*] | enum     | The resource type. The value must be `exclusion_filters`. Allowed enum values: `exclusion_filters`                          |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": [
    {
      "attributes": {
        "enabled": true,
        "event_type": "error",
        "name": "Exclude noisy browser extension errors",
        "query": "@error.message:*extension*"
      },
      "id": "051601eb-54a0-abc0-03f9-cc02efa18892",
      "meta": {
        "enabled_at": 1735689600000,
        "updated_at": 1735689600000,
        "updated_by_handle": "jane.doe@example.com"
      },
      "type": "exclusion_filters"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Not Authorized
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parameters export app_id="CHANGE_ME" \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/rum/applications/${app_id}/retention_filters/exclusion" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
##### 

```python
"""
Get all RUM exclusion filters returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.rum_retention_filters_api import RumRetentionFiltersApi

configuration = Configuration()
configuration.unstable_operations["list_exclusion_filters"] = True
with ApiClient(configuration) as api_client:
    api_instance = RumRetentionFiltersApi(api_client)
    response = api_instance.list_exclusion_filters(
        app_id="app_id",
    )

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" python3 "example.py"
##### 

```ruby
# Get all RUM exclusion filters returns "OK" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.unstable_operations["v2.list_exclusion_filters".to_sym] = true
end
api_instance = DatadogAPIClient::V2::RumRetentionFiltersAPI.new
p api_instance.list_exclusion_filters("app_id")
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" rb "example.rb"
##### 

```go
// Get all RUM exclusion filters returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.ListExclusionFilters", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewRumRetentionFiltersApi(apiClient)
	resp, r, err := api.ListExclusionFilters(ctx, "app_id")

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `RumRetentionFiltersApi.ListExclusionFilters`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `RumRetentionFiltersApi.ListExclusionFilters`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" go run "main.go"
##### 

```java
// Get all RUM exclusion filters returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.RumRetentionFiltersApi;
import com.datadog.api.client.v2.model.RumExclusionFiltersResponse;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setUnstableOperationEnabled("v2.listExclusionFilters", true);
    RumRetentionFiltersApi apiInstance = new RumRetentionFiltersApi(defaultClient);

    try {
      RumExclusionFiltersResponse result = apiInstance.listExclusionFilters("app_id");
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling RumRetentionFiltersApi#listExclusionFilters");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" java "Example.java"
##### 

```rust
// Get all RUM exclusion filters returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_rum_retention_filters::RumRetentionFiltersAPI;

#[tokio::main]
async fn main() {
    let mut configuration = datadog::Configuration::new();
    configuration.set_unstable_operation_enabled("v2.ListExclusionFilters", true);
    let api = RumRetentionFiltersAPI::with_config(configuration);
    let resp = api.list_exclusion_filters("app_id".to_string()).await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
##### 

```typescript
/**
 * Get all RUM exclusion filters returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
configuration.unstableOperations["v2.listExclusionFilters"] = true;
const apiInstance = new v2.RumRetentionFiltersApi(configuration);

const params: v2.RumRetentionFiltersApiListExclusionFiltersRequest = {
  appId: "app_id",
};

apiInstance
  .listExclusionFilters(params)
  .then((data: v2.RumExclusionFiltersResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" tsc "example.ts"
{% /tab %}
